Subject: RE: [bug-diffutils] bug#25663: verify macro in system.h incorrectly expects 8 byte long for 64-bit builds on Windows/Visual Studio

From: Kees Dekker <[email-masked]>
Date: Fri, 10 Feb 2017 12:37:29 +0000

>> If you have an additional source of information, it would be great. I'm new to git, so I will try to do so.

>I'm afraid it's not written down in a central location. There are books about 
>Git and it's not that hard to pick up. You can look at the Emacs CONTRIBUTE file 
>for some advice about commit messages.

>http://git.savannah.gnu.org/cgit/emacs.git/tree/CONTRIBUTE

The quick fix is not more or less than adding:

#ifndef _WIN64
verify (sizeof (lin) <= sizeof (long int));
#endif

Line numbers beyond 2^32 are also IMO hypothetical...

I'm fine with this quick 'fix'.